Bug 1249319 - dnf says "downloaded packages were saved in cache" before actually downloading any packages
dnf says "downloaded packages were saved in cache" before actually downloadin...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 11:07 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2015-09-28 12:12 EDT (History)
9 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 19:19:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-08-01 11:07:40 EDT
Description of problem:
I guess that this is a fallout from #1225217. When I run a command, let dnf download some metadata, but refuse to continue *before* it starts to download packages, it says:
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'
Which is confusing.

Also note that the first two sentences have a dot, the last one doesn't for some reason.

Version-Release number of selected component (if applicable):
dnf-1.0.2-2.fc24.1.noarch

Steps to Reproduce:
1. dnf install qt5-qtbase-devel
2. press enter on the first question

Transaction Summary
==================================================
Install  257 Packages

Total download size: 115 M
Installed size: 401 M
Is this ok [y/N]: n
Operation aborted.
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'
Comment 1 Honza Silhan 2015-08-11 08:44:26 EDT
Right, we can show the message only when it download anything.
Comment 2 Honza Silhan 2015-08-28 05:22:25 EDT
We couldn't reproduce it even with the previous unsuccessful transaction. The "dot" will be added ;)
PR: https://github.com/rpm-software-management/dnf/pull/338
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-08-28 07:11:57 EDT
I cannot reproduce either anymore. Thanks for the dot :)
Comment 4 Fedora Update System 2015-09-01 05:52:03 EDT
dnf-plugins-core-0.1.11-1.fc23 dnf-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 5 Fedora Update System 2015-09-01 05:52:06 EDT
dnf-plugins-core-0.1.11-1.fc23 dnf-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 6 Fedora Update System 2015-09-01 16:22:39 EDT
dnf-1.1.1-1.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 8 Fedora Update System 2015-09-08 08:38:52 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 9 Fedora Update System 2015-09-08 08:39:08 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 10 Fedora Update System 2015-09-08 08:40:02 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 11 Fedora Update System 2015-09-08 13:51:59 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 12 Fedora Update System 2015-09-08 17:26:19 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugins-core dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 13 Fedora Update System 2015-09-09 19:19:04 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 bhavya 2015-09-19 07:15:33 EDT
(In reply to Fedora Update System from comment #13)
> dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the
> Fedora 22 stable repository. If problems still persist, please make note of
> it in this bug report.

This problem is still present, 
Please find log below (on fedora 22 with xfce):


$ sudo dnf clean all && sudo dnf update
[sudo] password for <username>: 
Contacting OpenClient Router for restricted repository information
Added restricted repo: Fedora-22-x86_64-Licensed
Cleaning repos: openclient google-talkplugin fedora rpmfusion-free-updates rpmfusion-nonfree-updates updates Fedora-22-x86_64-Licensed google-chrome rpmfusion-free
              : rpmfusion-nonfree
Cleaning up Everything
Contacting OpenClient Router for restricted repository information
Added restricted repo: Fedora-22-x86_64-Licensed
Open Client for Fedora 22                                                                                                               810 kB/s | 973 kB     00:01    
google-talkplugin                                                                                                                       177 kB/s | 2.7 kB     00:00    
Fedora 22 - x86_64                                                                                                                       10 MB/s |  41 MB     00:04    
RPM Fusion for Fedora 22 - Free - Updates                                                                                               2.1 MB/s |  73 kB     00:00    
RPM Fusion for Fedora 22 - Nonfree - Updates                                                                                            1.1 MB/s |  28 kB     00:00    
Fedora 22 - x86_64 - Updates                                                                                                            8.8 MB/s |  14 MB     00:01    
google-chrome                                                                                                                           239 kB/s | 3.6 kB     00:00    
RPM Fusion for Fedora 22 - Free                                                                                                         5.6 MB/s | 551 kB     00:00    
RPM Fusion for Fedora 22 - Nonfree                                                                                                      3.8 MB/s | 170 kB     00:00    
Last metadata expiration check performed 0:00:00 ago on Sat Sep 19 16:34:08 2015.
Dependencies resolved.
========================================================================================================================================================================
 Package                                        Arch                        Version                                                  Repository                    Size
========================================================================================================================================================================
Upgrading:
 fontconfig                                     i686                        2.11.94-4.fc22                                           updates                      245 k
 fontconfig                                     x86_64                      2.11.94-4.fc22                                           updates                      241 k
 hunspell                                       x86_64                      1.3.3-5.fc22                                             updates                      217 k
 iwl100-firmware                                noarch                      39.31.5.1-56.fc22                                        updates                      153 k
 iwl1000-firmware                               noarch                      1:39.31.5.1-56.fc22                                      updates                      216 k
 iwl105-firmware                                noarch                      18.168.6.1-56.fc22                                       updates                      237 k
 iwl135-firmware                                noarch                      18.168.6.1-56.fc22                                       updates                      246 k
 iwl2000-firmware                               noarch                      18.168.6.1-56.fc22                                       updates                      240 k
 iwl2030-firmware                               noarch                      18.168.6.1-56.fc22                                       updates                      249 k
 iwl3160-firmware                               noarch                      1:25.30.13.0-56.fc22                                     updates                      845 k
 iwl3945-firmware                               noarch                      15.32.2.9-56.fc22                                        updates                       91 k
 iwl4965-firmware                               noarch                      228.61.2.24-56.fc22                                      updates                      104 k
 iwl5000-firmware                               noarch                      8.83.5.1_1-56.fc22                                       updates                      297 k
 iwl5150-firmware                               noarch                      8.24.2.2-56.fc22                                         updates                      150 k
 iwl6000-firmware                               noarch                      9.221.4.1-56.fc22                                        updates                      170 k
 iwl6000g2a-firmware                            noarch                      18.168.6.1-56.fc22                                       updates                      313 k
 iwl6000g2b-firmware                            noarch                      18.168.6.1-56.fc22                                       updates                      313 k
 iwl6050-firmware                               noarch                      41.28.5.1-56.fc22                                        updates                      246 k
 iwl7260-firmware                               noarch                      1:25.30.13.0-56.fc22                                     updates                      2.0 M
 jwhois                                         x86_64                      4.0-43.fc22                                              updates                      120 k
 libertas-usb8388-firmware                      noarch                      2:20150904-56.git6ebf5d57.fc22                           updates                      116 k
 linux-firmware                                 noarch                      20150904-56.git6ebf5d57.fc22                             updates                       29 M
 python-urllib3                                 noarch                      1.10.4-5.20150503gita91975b.fc22                         updates                      109 k
 python3-urllib3                                noarch                      1.10.4-5.20150503gita91975b.fc22                         updates                      116 k
 qemu-guest-agent                               x86_64                      2:2.3.1-3.fc22                                           updates                      167 k
 qemu-img                                       x86_64                      2:2.3.1-3.fc22                                           updates                      626 k

Transaction Summary
========================================================================================================================================================================
Upgrade  26 Packages

Total download size: 37 M
Is this ok [y/N]: y
Downloading Packages:
(1/26): fontconfig-2.11.94-1.fc22_2.11.94-4.fc22.x86_64.drpm                                                                             21 kB/s |  80 kB     00:03    
(2/26): hunspell-1.3.3-5.fc22.x86_64.rpm                                                                                                 53 kB/s | 217 kB     00:04    
(3/26): fontconfig-2.11.94-1.fc22_2.11.94-4.fc22.i686.drpm                                                                               18 kB/s |  83 kB     00:04    
The downloaded packages were saved in cache till the next successful transaction.                                                     ]  70 kB/s | 381 kB     01:21 ETA
You can remove cached packages by executing 'dnf clean packages'.
Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 144, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 173, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 211, in do_transaction
    total_cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 875, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 126, in download_payloads
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib64/python2.7/site-packages/librepo/__init__.py", line 1505, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 51, in _end_cb
    super(DeltaPayload, self)._end_cb(cbdata, lr_status, msg)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 144, in new_func
    name = '%s.%s' % (args[0].__class__.__name__, fn.__name__)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 316, in _progress_cb
    self.progress.progress(self, done)
  File "/usr/lib/python2.7/site-packages/dnf/cli/progress.py", line 69, in progress
    text = unicode(payload)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 51, in _end_cb
    super(DeltaPayload, self)._end_cb(cbdata, lr_status, msg)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 144, in new_func
    name = '%s.%s' % (args[0].__class__.__name__, fn.__name__)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 316, in _progress_cb
    self.progress.progress(self, done)
  File "/usr/lib/python2.7/site-packages/dnf/cli/progress.py", line 69, in progress
    text = unicode(payload)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 53, in _end_cb
    self.delta_info.enqueue(self)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 158, in enqueue
    self.job_done(pid, code)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 131, in job_done
    pload = self.jobs.pop(pid)
KeyError: 11167
$ dnf --version
1.1.1
  Installed: dnf-0:1.1.1-2.fc22.noarch at 2015-09-14 13:29
  Built    : Fedora Project at 2015-09-08 12:24

  Installed: rpm-0:4.12.0.1-12.fc22.x86_64 at 2015-09-14 13:29
  Built    : Fedora Project at 2015-06-29 10:36
$
Comment 15 Fedora Update System 2015-09-23 00:12:25 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 mstave 2015-09-28 12:12:26 EDT
(In reply to bhavya from comment #14)
> (In reply to Fedora Update System from comment #13)
> > dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the
> > Fedora 22 stable repository. If problems still persist, please make note of
> > it in this bug report.
> 
> This problem is still present, 
> Please find log below (on fedora 22 with xfce):
> 
> 
> $ sudo dnf clean all && sudo dnf update
> [sudo] password for <username>: 
> Contacting OpenClient Router for restricted repository information
> Added restricted repo: Fedora-22-x86_64-Licensed
> Cleaning repos: openclient google-talkplugin fedora rpmfusion-free-updates
> rpmfusion-nonfree-updates updates Fedora-22-x86_64-Licensed google-chrome
> rpmfusion-free
>               : rpmfusion-nonfree
> Cleaning up Everything
> Contacting OpenClient Router for restricted repository information
> Added restricted repo: Fedora-22-x86_64-Licensed
> Open Client for Fedora 22                                                   
> 810 kB/s | 973 kB     00:01    
> google-talkplugin                                                           
> 177 kB/s | 2.7 kB     00:00    
> Fedora 22 - x86_64                                                          
> 10 MB/s |  41 MB     00:04    
> RPM Fusion for Fedora 22 - Free - Updates                                   
> 2.1 MB/s |  73 kB     00:00    
> RPM Fusion for Fedora 22 - Nonfree - Updates                                
> 1.1 MB/s |  28 kB     00:00    
> Fedora 22 - x86_64 - Updates                                                
> 8.8 MB/s |  14 MB     00:01    
> google-chrome                                                               
> 239 kB/s | 3.6 kB     00:00    
> RPM Fusion for Fedora 22 - Free                                             
> 5.6 MB/s | 551 kB     00:00    
> RPM Fusion for Fedora 22 - Nonfree                                          
> 3.8 MB/s | 170 kB     00:00    
> Last metadata expiration check performed 0:00:00 ago on Sat Sep 19 16:34:08
> 2015.
> Dependencies resolved.
> =============================================================================
> =============================================================================
> ==============
>  Package                                        Arch                       
> Version                                                  Repository         
> Size
> =============================================================================
> =============================================================================
> ==============
> Upgrading:
>  fontconfig                                     i686                       
> 2.11.94-4.fc22                                           updates            
> 245 k
>  fontconfig                                     x86_64                     
> 2.11.94-4.fc22                                           updates            
> 241 k
>  hunspell                                       x86_64                     
> 1.3.3-5.fc22                                             updates            
> 217 k
>  iwl100-firmware                                noarch                     
> 39.31.5.1-56.fc22                                        updates            
> 153 k
>  iwl1000-firmware                               noarch                     
> 1:39.31.5.1-56.fc22                                      updates            
> 216 k
>  iwl105-firmware                                noarch                     
> 18.168.6.1-56.fc22                                       updates            
> 237 k
>  iwl135-firmware                                noarch                     
> 18.168.6.1-56.fc22                                       updates            
> 246 k
>  iwl2000-firmware                               noarch                     
> 18.168.6.1-56.fc22                                       updates            
> 240 k
>  iwl2030-firmware                               noarch                     
> 18.168.6.1-56.fc22                                       updates            
> 249 k
>  iwl3160-firmware                               noarch                     
> 1:25.30.13.0-56.fc22                                     updates            
> 845 k
>  iwl3945-firmware                               noarch                     
> 15.32.2.9-56.fc22                                        updates            
> 91 k
>  iwl4965-firmware                               noarch                     
> 228.61.2.24-56.fc22                                      updates            
> 104 k
>  iwl5000-firmware                               noarch                     
> 8.83.5.1_1-56.fc22                                       updates            
> 297 k
>  iwl5150-firmware                               noarch                     
> 8.24.2.2-56.fc22                                         updates            
> 150 k
>  iwl6000-firmware                               noarch                     
> 9.221.4.1-56.fc22                                        updates            
> 170 k
>  iwl6000g2a-firmware                            noarch                     
> 18.168.6.1-56.fc22                                       updates            
> 313 k
>  iwl6000g2b-firmware                            noarch                     
> 18.168.6.1-56.fc22                                       updates            
> 313 k
>  iwl6050-firmware                               noarch                     
> 41.28.5.1-56.fc22                                        updates            
> 246 k
>  iwl7260-firmware                               noarch                     
> 1:25.30.13.0-56.fc22                                     updates            
> 2.0 M
>  jwhois                                         x86_64                     
> 4.0-43.fc22                                              updates            
> 120 k
>  libertas-usb8388-firmware                      noarch                     
> 2:20150904-56.git6ebf5d57.fc22                           updates            
> 116 k
>  linux-firmware                                 noarch                     
> 20150904-56.git6ebf5d57.fc22                             updates            
> 29 M
>  python-urllib3                                 noarch                     
> 1.10.4-5.20150503gita91975b.fc22                         updates            
> 109 k
>  python3-urllib3                                noarch                     
> 1.10.4-5.20150503gita91975b.fc22                         updates            
> 116 k
>  qemu-guest-agent                               x86_64                     
> 2:2.3.1-3.fc22                                           updates            
> 167 k
>  qemu-img                                       x86_64                     
> 2:2.3.1-3.fc22                                           updates            
> 626 k
> 
> Transaction Summary
> =============================================================================
> =============================================================================
> ==============
> Upgrade  26 Packages
> 
> Total download size: 37 M
> Is this ok [y/N]: y
> Downloading Packages:
> (1/26): fontconfig-2.11.94-1.fc22_2.11.94-4.fc22.x86_64.drpm                
> 21 kB/s |  80 kB     00:03    
> (2/26): hunspell-1.3.3-5.fc22.x86_64.rpm                                    
> 53 kB/s | 217 kB     00:04    
> (3/26): fontconfig-2.11.94-1.fc22_2.11.94-4.fc22.i686.drpm                  
> 18 kB/s |  83 kB     00:04    
> The downloaded packages were saved in cache till the next successful
> transaction.                                                     ]  70 kB/s
> | 381 kB     01:21 ETA
> You can remove cached packages by executing 'dnf clean packages'.
> Traceback (most recent call last):
>   File "/bin/dnf", line 36, in <module>
>     main.user_main(sys.argv[1:], exit_code=True)
>   File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in
> user_main
>     errcode = main(args)
>   File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
>     return _main(base, args)
>   File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 144, in _main
>     ret = resolving(cli, base)
>   File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 173, in
> resolving
>     base.do_transaction(display=displays)
>   File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 211, in
> do_transaction
>     total_cb)
>   File "/usr/lib/python2.7/site-packages/dnf/base.py", line 875, in
> download_packages
>     errors = dnf.repo.download_payloads(payloads, drpm)
>   File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 126, in
> download_payloads
>     librepo.download_packages(targets, failfast=True)
>   File "/usr/lib64/python2.7/site-packages/librepo/__init__.py", line 1505,
> in download_packages
>     return _librepo.download_packages(list, failfast)
>   File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 51, in _end_cb
>     super(DeltaPayload, self)._end_cb(cbdata, lr_status, msg)
>   File "/usr/lib/python2.7/site-packages/dnf/util.py", line 144, in new_func
>     name = '%s.%s' % (args[0].__class__.__name__, fn.__name__)
>   File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 316, in
> _progress_cb
>     self.progress.progress(self, done)
>   File "/usr/lib/python2.7/site-packages/dnf/cli/progress.py", line 69, in
> progress
>     text = unicode(payload)
>   File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 51, in _end_cb
>     super(DeltaPayload, self)._end_cb(cbdata, lr_status, msg)
>   File "/usr/lib/python2.7/site-packages/dnf/util.py", line 144, in new_func
>     name = '%s.%s' % (args[0].__class__.__name__, fn.__name__)
>   File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 316, in
> _progress_cb
>     self.progress.progress(self, done)
>   File "/usr/lib/python2.7/site-packages/dnf/cli/progress.py", line 69, in
> progress
>     text = unicode(payload)
>   File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 53, in _end_cb
>     self.delta_info.enqueue(self)
>   File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 158, in enqueue
>     self.job_done(pid, code)
>   File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 131, in job_done
>     pload = self.jobs.pop(pid)
> KeyError: 11167
> $ dnf --version
> 1.1.1
>   Installed: dnf-0:1.1.1-2.fc22.noarch at 2015-09-14 13:29
>   Built    : Fedora Project at 2015-09-08 12:24
> 
>   Installed: rpm-0:4.12.0.1-12.fc22.x86_64 at 2015-09-14 13:29
>   Built    : Fedora Project at 2015-06-29 10:36
> $

I got this same error, worked around it by adding max_parallel_downloads=1 to /etc/dnf/dnf.conf

Note You need to log in before you can comment on or make changes to this bug.